Method: spaces.streamMessages.create

Initiates a new stream message in a Google Chat space.

Requires app authentication with the authorization scope:

  • https://www.googleapis.com/auth/chat.bot

HTTP request

POST https://chat.googleapis.com/v1/{parent=spaces/*}/streamMessages

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the space where the stream message will be created. Format: spaces/{space}

Request body

The request body contains an instance of StreamMessage.

Response body

If successful, the response body contains a newly created instance of StreamMessage.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.bot
  • https://www.googleapis.com/auth/chat.messages
  • https://www.googleapis.com/auth/chat.messages.create

For more information, see the Authorization guide.